/*
 * LWSDK Header File
 * Copyright 1995  NewTek, Inc.
 */
#ifndef LW_BASE_H
#define LW_BASE_H

#include <moni.h>
#include <plug.h>

typedef struct st_ObjectImport {
	int               result;
	const char       *filename;
	Monitor          *monitor;
	char             *failedBuf;
	int               failedLen;

	void             *data;
	void            (*begin) (void *, void *);
	void            (*done) (void *);
	void            (*numPoints) (void *, int total);
	void            (*points) (void *, int numPts,
				   const float *xyz);
	int             (*surfIndex) (void *, const char *name,
				      int *firstTime);
	void            (*polygon) (void *, int numPts, int surf,
				    int flags,
				    const unsigned short *);
	void            (*surfData) (void *, const char *name,
				     int size, void *data);
} ObjectImport;
#define OBJPOLF_FACE      0
#define OBJPOLF_CURVE    (1<<0)
#define OBJPOLF_DETAIL   (1<<1)
#define OBJPOLF_STARTCC  (1<<2)
#define OBJPOLF_ENDCC    (1<<3)
#define OBJSTAT_OK       0
#define OBJSTAT_NOREC    1
#define OBJSTAT_BADFILE  2
#define OBJSTAT_ABORTED  3
#define OBJSTAT_FAILED   99
typedef int             FileReqFunc (const char *hail, char *name,
				     char *path, char *fullName,
				     int buflen);
typedef struct st_MessageFuncs {
	void            (*info)    (const char *, const char *);
	void            (*error)   (const char *, const char *);
	void            (*warning) (const char *, const char *);
} MessageFuncs;

#endif
